Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I updated MiKTeX a few days ago and since then I cannot compile XeLaTeX with fontspec anymore.

\documentclass{article}
\usepackage{fontspec}

\begin{document}
Hello world!
\end{document}

When I try to compile it MiKTeX tells me that it expl3 is an unknown package. I cannot find this package in the Package Manager. Without the \usepackage{fontspec} the file compiles fine.

Any idea what I can do?

share|improve this question
add comment

1 Answer

up vote 11 down vote accepted

There has been a passing issue with way MiKTeX installs LaTeX3 support. Use the MiKTeX Package Manager to install the l3kernel and l3packages bundles, and at the same time remove expl3 and xpackages if they are installed.

share|improve this answer
    
Thanks, that solved this issue. Where can someone find such information? MiKTeX Homepage seems to not state anything about this... –  jayeff Jul 17 '11 at 18:08
    
Thank you very mach! I agree with jayeff: it's 20/aug and I have have spent some time searching for the solution until I fixed the problem with your answer, something shoud be made by the MiKTeX folks! =) –  JorgeGT Aug 20 '11 at 16:33
    
Same here. Thank God I found this Q+A. Without TeX.SX I'd probably spent hours on looking for the answer. Thanks! –  Count Zero Sep 15 '11 at 9:10
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.